Skip to main content
GET
/
api
/
Projects
/
{id}
cURL
curl --request GET \
  --url https://api.example.com/api/Projects/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "orgId": "<string>",
  "name": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "type": "<string>",
  "description": "<string>",
  "note": "<string>",
  "launchDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "owner": "<string>",
  "vendor": "<string>",
  "reportDeadline": "<string>",
  "isRetestNeeded": true,
  "retestingLaunch": "2023-11-07T05:31:56Z",
  "retestingEnd": "2023-11-07T05:31:56Z",
  "accessType": "<string>",
  "location": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hackgate.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication header

Path Parameters

id
string
required

Response

OK

id
string | null
orgId
string | null
name
string | null
creationDate
string<date-time>
createdBy
string | null
type
string | null
description
string | null
note
string | null
launchDate
string<date-time>
endDate
string<date-time>
owner
string | null
vendor
string | null
reportDeadline
string | null
isRetestNeeded
boolean
retestingLaunch
string<date-time>
retestingEnd
string<date-time>
accessType
string | null
location
string | null
Last modified on May 9, 2026